# PortfolioOptimization

![License](https://img.shields.io/badge/license-MIT-blue.svg)
![Python](https://img.shields.io/badge/python-v3.8+-blue.svg)

PortfolioOptimization is a Python package for performing portfolio optimization using various algorithms and backtesting techniques. It is designed to be highly customizable, extensible, and easy to use. The project aims to assist financial analysts, investment advisers, and researchers in making data-driven investment decisions.

## Features

- Algorithms for optimizing portfolios based on various financial metrics.
- Backtesting functionality for evaluating portfolio performance.
- Plotting tools for visualization of portfolios and backtests.
- Factor scoring model for ranking stocks based on financial metrics.
- Easy-to-extend architecture for adding custom optimization algorithms and metrics.

## Installation

### Via Pip
In order to install PortfolioOptimization via pip, simply run the following command in your terminal:
```bash
pip install PortfolioOptimization
```

### Via GitHub
In order to install PortfolioOptimization via GitHub, you must first clone the repository and install the required 
dependencies. This can be done by running the following commands in your terminal:
```bash
git clone https://github.com/nathanramoscfa/PortfolioOptimization.git
cd PortfolioOptimization
pip install -r requirements.txt
```